package com.company.example.service.module.sub;

import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.data.Page;

import com.company.example.db.module.sub.NameDAO;
import com.company.example.exception.ApplicationException;
import com.company.example.service.BaseService;

/**
 * NameService
 * 
 * @author
 * 
 */
public class NameService extends BaseService {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(NameService.class);

	private NameDAO namedao;

	public NameService() {
		init(); //
	}

	private void init() {
		//
		log.info("Service[" + this.getClass() + "] initialize...");
		//
		namedao = new NameDAO();
	}

	public Page selectPage(Map params, int start, int range, String sort, boolean desc) throws ApplicationException {
		return namedao.selectPage(params, start, range, sort, desc);
	}

	public List selectList(Map params) throws ApplicationException {
		return namedao.selectList(params);
	}

	public Map selectMap(Map params) throws ApplicationException {
		return namedao.selectMap(params);
	}

	public void insert(Map params) throws ApplicationException {
		namedao.insert(params);
	}

	public void update(Map params) throws ApplicationException {
		namedao.update(params);
	}

	public void delete(Map params) throws ApplicationException {
		namedao.delete(params);
	}

}
