package org.jdesigner.platform.db.util;

/**
 * <B>Query Path</B>
 * 
 * 
 * @author leesangboo
 * 
 */
public class QueryPath {

	/**
	 * XML 파일의 클래스 패스 경로를 반환한다.
	 * 
	 * @param object
	 * @param fileName
	 * @return Class Name + XML File Name / EX) com.company.test.dao.TestDAO.${fileName}.xml
	 */
	public static String getClasspath(Object object, String fileName) {
		String classPath = object.getClass().getName().replaceAll("\\.", "/");
		if (!fileName.endsWith(".xml")) {
			fileName = fileName + ".xml";
		}
		return "classpath:" + classPath + "." + fileName;
	}

}
